# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'polyglot_cli/version'

Gem::Specification.new do |spec|
  spec.name          = 'polyglot_cli'
  spec.version       = PolyglotCli::VERSION
  spec.authors       = ['Ivan Grgurevic']
  spec.email         = ['ivan.grgurevic@infinum.hr']

  spec.summary       = 'A ruby cli for pulling and pushing polyglot translations'
  spec.description   = 'A ruby cli that takes translations from Polyglot and writes them to yml locale files. Also allows pushing of new translations to Polyglot.'
  spec.homepage      = 'https://bitbucket.org/infinum_hr/rails-polyglot-cli/'
  spec.license       = 'MIT'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry-byebug', '~> 3.4'
  spec.add_development_dependency 'vcr', '~> 3.0'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'codeclimate-test-reporter', '~> 1.0'
  spec.add_development_dependency 'webmock', '~> 2.3.2'
  spec.add_dependency 'json_api_client', '~> 1.4.0' # newer versions have some breaking changes with the pagination; issue: https://github.com/JsonApiClient/json_api_client/issues/365
  spec.add_dependency 'commander'
  spec.add_dependency 'tty-prompt'
end
